it-swarm.dev

Migrare utenti, autorizzazioni, accesso, gruppi e contenuti da 1.6 a 3.3.X

Devo aggiornare un'installazione di joomla dalla 1.6 a una nuova versione, si spera 3.3.X. Mi sono imbrogliato con il processo di aggiornamento passo-passo per passare da una versione all'altra. Finora non sta andando bene.

In alternativa, stavo pensando di fare semplicemente una nuova installazione della nuova versione di Joomla 3.3 se ci fosse un modo per migrare il contenuto dalla vecchia installazione 1.6.

Qualcuno sa come farlo?

Installare le nuove versioni di componenti ed estensioni non sarebbe difficile, ma avrei bisogno di spostare tutti gli utenti, i gruppi, i livelli di accesso, nonché tutti gli articoli e i menu. Naturalmente gli articoli e i menu dovrebbero mantenere il loro accesso e le posizioni corrette affinché tutto funzioni. Inoltre, non voglio dover reimpostare tutti gli utenti.

Grazie per qualsiasi aiuto!

3
jeffery_the_wind

Riprova una migrazione passo dopo passo:

Prima fai un backup e poi prova questo:

  1. Segui queste istruzioni per aggiornare Joomla 1.6.x a Joomla 2.5.x - http://www.ostraining.com/blog/joomla/upgrade-joomla-16-to-25/
  2. Assicurati che ogni componente, plugin, modello sia pronto per Joomla 3.3
  3. Disattiva il plug-in rememberme.
  4. Allora vai a Joomla! Aggiorna dal menu Componenti, quindi fai clic sul pulsante Opzioni
  5. Modificare le impostazioni del server di aggiornamento su Supporto a breve termine e salvare
  6. Quindi vedi l'ultimo aggiornamento di Joomla e puoi elaborare il solito modo.
  7. Attiva il tuo plugin Rememberme.
3
Joomla Agency

Devi prima assicurarti di utilizzare Joomla 1.6.5, che è l'ultima della serie 1.6. Una volta fatto, vai a Estensioni (menu in alto) >> Aggiorna >> Svuota cache >> Trova aggiornamenti.

L'aggiornamento utilizzando la funzione di aggiornamento con 1 clic come descritto sopra aggiornerà automaticamente le tabelle del database principale, il codice core e le estensioni core. Quindi non devi preoccuparti della migrazione manuale di utenti, autorizzazioni, ecc.

Tuttavia, potrebbe essere necessario installare versioni più aggiornate delle estensioni e del modello di terze parti che hai installato in quanto vi sono alcune modifiche fondamentali all'API da Joomla 1.6

Spero che sia di aiuto

2
Lodder